## ros-kinetic-xpp 1.0.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xpp)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-xpp (1.0.10-0xenial) xenial; urgency=high

  * Improve docs (#8 <https://github.com/leggedrobotics/xpp/issues/8>)
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-xpp (1.0.9-0xenial) xenial; urgency=high



 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Mon, 09 Jul 2018 22:00:00 -0000

ros-kinetic-xpp (1.0.8-0xenial) xenial; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Fri, 06 Jul 2018 22:00:00 -0000

ros-kinetic-xpp (1.0.7-0xenial) xenial; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Mon, 02 Jul 2018 22:00:00 -0000

ros-kinetic-xpp (1.0.6-0xenial) xenial; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Tue, 17 Apr 2018 22:00:00 -0000

ros-kinetic-xpp (1.0.5-0xenial) xenial; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Wed, 31 Jan 2018 23:00:00 -0000

ros-kinetic-xpp (1.0.4-0xenial) xenial; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Tue, 02 Jan 2018 23:00:00 -0000

ros-kinetic-xpp (1.0.3-0xenial) xenial; urgency=high

  * removed xpp_ros_conversions (now in xpp_states)
  * 1.0.2
  * update changelog
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Thu, 02 Nov 2017 23:00:00 -0000

ros-kinetic-xpp (1.0.2-0xenial) xenial; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Fri, 27 Oct 2017 22:00:00 -0000

ros-kinetic-xpp (1.0.1-0xenial) xenial; urgency=high

  * xpp_vis: add visualization_msg dependency
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Thu, 26 Oct 2017 22:00:00 -0000

ros-kinetic-xpp (1.0.0-0xenial) xenial; urgency=high

  * changed email adresse to mailto:winklera@ethz.ch
  * added xpp metapackage
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Wed, 25 Oct 2017 22:00:00 -0000

ros-kinetic-xpp (0.1.0-0xenial) xenial; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Mon, 23 Oct 2017 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-xpp
Section: misc
Priority: extra
Maintainer: Alexander W. Winkler <alexander.w.winkler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://github.com/leggedrobotics/xpp
Standards-Version: 3.9.2

Package: ros-kinetic-xpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-xpp-examples, ros-kinetic-xpp-hyq, ros-kinetic-xpp-msgs, ros-kinetic-xpp-quadrotor, ros-kinetic-xpp-states, ros-kinetic-xpp-vis
Description: Visualization of motion-plans for legged robots.
 It draws support areas, contact forces and motion trajectories in RVIZ and displays URDFs for specific robots, including a one-legged, a two-legged hopper and HyQ. Example motions were generated by towr.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-xpp//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
